# Get a list of Locations for a Facility Get a list of Locations for a Facility Endpoint: GET /v1/api/pub/lists/facilities/{facilityId}/locations/query Version: 1.0 Security: Authorization ## Path parameters: - `facilityId` (string, required) ## Query parameters: - `strid` (string) Search by location Id ## Response 200 fields (application/json): - `id` (string) - `ncode` (integer) - `createdby` (string) - `createdon` (string) - `modifiedon` (string) - `locale` (string) Enum: "pt_BR", "es_MX", "fr_FR", "en_US", "de_DE", "zh_CN" - `nodelete` (boolean) - `facility_id` (string) - `tmplt_id` (string) - `aisle_details_id` (string) - `enabled` (boolean) - `notes` (string) - `strid` (string) - `strcd` (string) - `aislesz` (string) - `levelsz` (string) - `slotsz` (string) - `description` (string) - `aisleint` (integer) - `levelint` (integer) - `slotint` (integer) - `belowloc` (string) - `aboveloc` (string) - `leftloc` (string) - `rightloc` (string) - `frontloc` (string) - `backloc` (string) - `coord_x` (number) - `coord_y` (number) - `coord_z` (number) - `tmplt` (object) - `tmplt.name` (string) - `tmplt.si` (string) - `tmplt.type` (string) Enum: "GENERALPURPOSE", "DOCKDOOR", "STAGING", "LABELING", "QC", "PICKAUDIT", "PACK", "HOLD", "DAMAGED", "QUARANTINE", "CROSSDOCK", "PROJECT", "PICKFACE", "RESERVE", "AISLE", "ENDCAP", "CART", "MH", "HUMAN", "YARD" - `tmplt.securitylevel` (integer) - `tmplt.zone` (string) - `tmplt.pickable` (boolean) - `tmplt.resvseq` (integer) - `tmplt.pickseq` (integer) - `tmplt.putawayseq` (integer) - `tmplt.pickface` (boolean) - `tmplt.reserve` (boolean) - `tmplt.sdock` (boolean) - `tmplt.sstage` (boolean) - `tmplt.rdock` (boolean) - `tmplt.rstage` (boolean) - `tmplt.project` (boolean) - `tmplt.wt` (number) - `tmplt.wt_mode` (string) Enum: "LBS", "KGS" - `tmplt.cube` (number) - `tmplt.cube_mode` (string) Enum: "CF", "CM" - `tmplt.temp_min` (number) - `tmplt.temp_max` (number) - `tmplt.temp_mode` (string) Enum: "F", "C" - `tmplt.max_number_lpn` (integer) - `tmplt.onhand_enable` (boolean) - `tmplt.damaged_enable` (boolean) - `tmplt.hold_enable` (boolean) - `tmplt.quarantine_enable` (boolean) - `tmplt.qa_enable` (boolean) - `tmplt.each_enabled` (boolean) - `tmplt.ip_enabled` (boolean) - `tmplt.case_enabled` (boolean) - `tmplt.pallet_enabled` (boolean) - `tmplt.auto_break_lpn` (boolean) - `tmplt.auto_convert_status` (string) Enum: "FOREIGNENTITY", "PICKEDUP", "INTRANSITRECEIVE", "INGATE", "UNLOADED", "QC", "ONHAND", "SAFETY", "ONHANDBYPASSPUTAWAY", "RESERVEDWITHORDER", "RESERVEDWITHOUTORDER", "SCRAP", "DAMAGED", "HOLD", "QUARANTINE", "INPROJECT", "ALLOCATED", "LOADED", "SHIPPED", "OUTGATE", "INTRANSITSHIP", "DELIVERED" - `tmplt.auto_convert_uom` (string) Enum: "EACH", "IP", "CASE" - `tmplt.velocity_unknown` (boolean) - `tmplt.velocity_a` (boolean) - `tmplt.velocity_b` (boolean) - `tmplt.velocity_c` (boolean) - `tmplt.velocity_d` (boolean) - `tmplt.requires_equip` (boolean) - `tmplt.equip_type` (string) Enum: "VERT_HEAVY_WIREGUIDED", "VERT_HEAVY", "NONVERT_CART", "NONVERT_PALLET_JACK", "NONVERT_HUMAN", "MATERIAL_HANDLING" - `subLocations` (array) - `aisleDetails` (object) - `aisleDetails.num_hpos` (integer) - `aisleDetails.num_vpos` (integer) - `facility` (object) - `facility.code` (string) - `facility.accounting_ref` (string) - `facility.address1` (string) - `facility.address2` (string) - `facility.address3` (string) - `facility.address4` (string) - `facility.city` (string) - `facility.state_province` (string) - `facility.postal_code` (string) - `facility.country` (string) - `facility.contact_name` (string) - `facility.contact_phone` (string) - `facility.contact_email` (string)